Subject: Re: EXE has file junk in it
From: [email-masked] (root)

3 Jun 1997 13:49:02 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Content-Type: text
Original-To: [email-masked] (Bill Klein)
Original-Cc: [email-masked]
In-Reply-To: <[email-masked]> from "Bill Klein" at Jun 3, 97 00:12:21 am
Original-Sender: [email-masked]

> 
> Hey all,
> 
> I have noticed, upon examining a few of the
> EXE files that I created using GNU Win32, that
> they have "junk" from other unrelated text files
> on the same hard drive (but not the same folder).
> Has anyone seen this before, or know what is
> causing this?
> 
> Thanks!
> 

The reason for this is probably that 'ld' is doing an fseek past the end of
the file, or is setting the file pointer beyond the end of the file. Under
Unix the new contents will be zero filled, under windows 95 they will contain
some memory contents from the swap file. If you were editing some text files
just before the link, those discarded pages from your editor will end up in
the executable!!!

If I am right, you linked under windows 95. Please confirm this. I would like
to know if this theory is correct.

-- 
Jacob Navia	Logiciels/Informatique
41 rue Maurice Ravel			Tel 01 48.23.51.44
93430 Villetaneuse 			Fax 01 48.23.95.39
France
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".